SbLazyPimplPtr< T > Class Template Reference

## Public Member Functions

| SbLazyPimplPtr (T *initial)
| SbLazyPimplPtr (const SbLazyPimplPtr< T > &copy)
void | set (T *value)
T & | get (void) const
SbLazyPimplPtr< T > & | operator= (const SbLazyPimplPtr< T > &copy)
SbBool | operator== (const SbLazyPimplPtr< T > &rhs) const
SbBool | operator!= (const SbLazyPimplPtr< T > &rhs) const
const T * | operator-> (void) const
T * | operator-> (void)

## Protected Member Functions

T * | getNew (void) const

## Protected Attributes

T * | ptr

The documentation for this class was generated from the following file:

- SbLazyPimplPtr.h